Subject: Re: [PATCH 12/23] e1000: Maybe stop TX if not enough free descriptors

From: Jeff Garzik <[email-masked]>
Date: Tue, 19 Sep 2006 16:45:06 -0400

looks OK except for the tasklet, which may starve if the lock is being 
held upon entry